<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getCityCommunities](./bitburner.bladeburner.getcitycommunities.md)

## Bladeburner.getCityCommunities() method

Get number of communities in a city.

**Signature:**

```typescript
getCityCommunities(city: CityName | `${CityName}`): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of city. Case-sensitive |

**Returns:**

number

Number of Synthoids communities in the specified city.

## Remarks

RAM cost: 4 GB

Returns the estimated number of Synthoid communities in the specified city, or -1 if an invalid city was specified.

